{
    attributes = (
        {
            columnName = "pco_Budgetaire"; 
            externalType = VARCHAR2; 
            name = pcoBudgetaire; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "pco_Emargement"; 
            externalType = VARCHAR2; 
            name = pcoEmargement; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_be"; 
            externalType = VARCHAR2; 
            name = pcoJBe; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_exercice"; 
            externalType = VARCHAR2; 
            name = pcoJExercice; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "pco_j_fin_exercice"; 
            externalType = VARCHAR2; 
            name = pcoJFinExercice; 
            valueClassName = NSString; 
            valueType = s; 
            width = 1; 
        }, 
        {
            columnName = "pco_libelle"; 
            externalType = VARCHAR2; 
            name = pcoLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 500; 
        }, 
        {
            columnName = "pco_nature"; 
            externalType = VARCHAR2; 
            name = pcoNature; 
            valueClassName = NSString; 
            valueType = s; 
            width = 10; 
        }, 
        {
            columnName = "pco_Niveau"; 
            externalType = NUMBER; 
            name = pcoNiveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = s; 
            width = 20; 
        }, 
        {
            columnName = "pco_Validite"; 
            externalType = VARCHAR2; 
            name = pcoValidite; 
            valueClassName = NSString; 
            valueType = s; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (
        pcoNiveau, 
        pcoJExercice, 
        pcoJFinExercice, 
        pcoLibelle, 
        pcoNature, 
        pcoBudgetaire, 
        pcoEmargement, 
        pcoValidite, 
        pcoJBe, 
        pcoNum
    ); 
    className = "org.cocktail.application.serveur.eof.EOPlanComptable"; 
    classProperties = (
        pcoNiveau, 
        pcoJExercice, 
        pcoJFinExercice, 
        pcoLibelle, 
        pcoNature, 
        pcoBudgetaire, 
        pcoEmargement, 
        pcoValidite, 
        pcoJBe, 
        pcoNum
    ); 
    externalName = "maracuja.Plan_Comptable"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pcoNiveau, 
            pcoJExercice, 
            pcoJFinExercice, 
            pcoLibelle, 
            pcoNature, 
            pcoBudgetaire, 
            pcoEmargement, 
            pcoValidite, 
            pcoJBe, 
            pcoNum
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOPlanComptable"; 
        "_nameInObjectStore" = "Plan_Comptable"; 
        uniqueID = 191824720; 
    }; 
    isReadOnly = Y; 
    name = "ca_PlanComptable"; 
    primaryKeyAttributes = (pcoNum); 
}
